Register domains for Apple Pay
Add domains to be registered with Apple Pay.
Any domains that will be used to accept payments must first be verified with Apple.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/apple-pay.write scope.
POST
/accounts/{accountID}/apple-pay/domains
curl -X POST "https://api.moov.io/accounts/{accountID}/apple-pay/domains" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
--data-raw '{
"displayName": "Example Merchant",
"domains": [
"checkout.classbooker.dev"
]
}'\
mc, _ := moov.NewClient()
var accountID string
domains := []string{"checkout.classbooker.dev"}
mc.CreateApplePayDomain(ctx, accountID,
moov.ApplePayDomains{
DisplayName: "Example Merchant",
Domains: domains,
})
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.applePay.registerMerchantDomains({
accountID: "60825531-8c7e-421c-8014-019c6603250c",
registerApplePayMerchantDomains: {
domains: [
"checkout.classbooker.dev",
],
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
use OpenAPI\OpenAPI\Models\Components;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$registerApplePayMerchantDomains = new Components\RegisterApplePayMerchantDomains(
domains: [
'checkout.classbooker.dev',
],
);
$response = $sdk->applePay->registerMerchantDomains(
accountID: '60825531-8c7e-421c-8014-019c6603250c',
registerApplePayMerchantDomains: $registerApplePayMerchantDomains
);
if ($response->applePayMerchantDomains !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.apple_pay.register_merchant_domains(account_id="60825531-8c7e-421c-8014-019c6603250c", domains=[
"checkout.classbooker.dev",
])
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import java.util.List;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.components.RegisterApplePayMerchantDomains;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.operations.RegisterApplePayMerchantDomainsResponse;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
RegisterApplePayMerchantDomainsResponse res = sdk.applePay().registerMerchantDomains()
.accountID("60825531-8c7e-421c-8014-019c6603250c")
.registerApplePayMerchantDomains(RegisterApplePayMerchantDomains.builder()
.domains(List.of(
"checkout.classbooker.dev"))
.build())
.call();
if (res.applePayMerchantDomains().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.apple_pay.register_merchant_domains(account_id: '60825531-8c7e-421c-8014-019c6603250c', register_apple_pay_merchant_domains: Models::Components::RegisterApplePayMerchantDomains.new(
domains: [
'checkout.classbooker.dev',
],
))
unless res.apple_pay_merchant_domains.nil?
# handle response
endThe request completed successfully.
{
"accountID": "string",
"displayName": "string",
"domains": [
"checkout.classbooker.dev"
],
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Apple Pay domains are already registered for this account.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested domains were not verified.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
ID of the Moov account representing the merchant.
Body
application/json
displayName
string
<=64 characters
A UTF-8 string to display in the Buy button.
domains
array<string>
A unique list of fully-qualified, top-level or sub-domain names where you will accept Apple Pay.
Response
accountID
string
required
createdOn
string<date-time>
required
displayName
string
<=64 characters
required
A UTF-8 string to display in the Buy button.
domains
array<string>
required
A unique list of fully-qualified, top-level or sub-domain names where you will accept Apple Pay.
updatedOn
string<date-time>
required